;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| AI |----------------------------
[Command]
name = "AI_1"
command = a,a,a,a
time = 0

[Command]
name = "AI_2"
command = a,a,a,b
time = 0

[Command]
name = "AI_3"
command = a,a,a,c
time = 0

[Command]
name = "AI_4"
command = a,a,b,a
time = 0

[Command]
name = "AI_5"
command = a,a,b,b
time = 0

[Command]
name = "AI_6"
command = a,a,b,c
time = 0

[Command]
name = "AI_7"
command = a,a,c,a
time = 0

[Command]
name = "AI_8"
command = a,a,c,b
time = 0

[Command]
name = "AI_9"
command = a,a,c,c
time = 0

[Command]
name = "AI_10"
command = a,b,a,a
time = 0

[Command]
name = "AI_11"
command = a,b,a,b
time = 0

[Command]
name = "AI_12"
command = a,b,a,c
time = 0

[Command]
name = "AI_13"
command = a,b,b,a
time = 0

[Command]
name = "AI_14"
command = a,b,b,b
time = 0

[Command]
name = "AI_15"
command = a,b,b,c
time = 0

[Command]
name = "AI_16"
command = a,b,c,a
time = 0

[Command]
name = "AI_17"
command = a,b,c,b
time = 0

[Command]
name = "AI_18"
command = a,b,c,c
time = 0

[Command]
name = "AI_19"
command = a,c,a,a
time = 0

[Command]
name = "AI_20"
command = a,c,a,b
time = 0

[Command]
name = "AI_21"
command = a,c,a,c
time = 0

[Command]
name = "AI_22"
command = a,c,b,a
time = 0

[Command]
name = "AI_23"
command = a,c,b,b
time = 0

[Command]
name = "AI_24"
command = a,b,b,c
time = 0

[Command]
name = "AI_25"
command = a,c,c,a
time = 0

[Command]
name = "AI_26"
command = a,c,c,b
time = 0

[Command]
name = "AI_27"
command = a,c,c,c
time = 0

[Command]
name = "AI_28"
command = b,a,a,a
time = 0

[Command]
name = "AI_29"
command = b,a,a,b
time = 0

[Command]
name = "AI_30"
command = b,a,a,c
time = 0

[Command]
name = "AI_31"
command = b,a,b,a
time = 0

[Command]
name = "AI_32"
command = b,a,b,b
time = 0

[Command]
name = "AI_33"
command = b,a,b,c
time = 0

[Command]
name = "AI_34"
command = b,a,c,a
time = 0

[Command]
name = "AI_35"
command = b,a,c,b
time = 0

[Command]
name = "AI_36"
command = b,a,c,c
time = 0

[Command]
name = "AI_37"
command = b,b,a,a
time = 0

[Command]
name = "AI_38"
command = b,b,a,b
time = 0

[Command]
name = "AI_39"
command = b,b,a,c
time = 0

[Command]
name = "AI_40"
command = b,b,b,a
time = 0

[Command]
name = "AI_41"
command = b,b,b,b
time = 0

[Command]
name = "AI_42"
command = b,b,b,c
time = 0

[Command]
name = "AI_43"
command = b,b,c,a
time = 0

[Command]
name = "AI_44"
command = b,b,c,b
time = 0

[Command]
name = "AI_45"
command = b,b,c,c
time = 0

[Command]
name = "AI_46"
command = b,c,a,a
time = 0

[Command]
name = "AI_47"
command = b,c,a,b
time = 0

[Command]
name = "AI_48"
command = b,c,a,c
time = 0

[Command]
name = "AI_49"
command = b,c,b,a
time = 0

[Command]
name = "AI_50"
command = b,c,b,b
time = 0

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 12

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1



;-| Special Motions |------------------------------------------------------
;_bVXg[g
[Command]
name = "_bVXg[g"
command = ~D, DB, B, x

[Command]
name = "_bVXg[g"
command = ~D, DB, B, y

[Command]
name = "_bVXg[g"
command = ~D, DB, B, z


;_bVAbp[
[Command]
name = "_bVAbp["
command = ~D, DB, B, a

[Command]
name = "_bVAbp["
command = ~D, DB, B, b

[Command]
name = "_bVAbp["
command = ~D, DB, B, c


;^[p`
[Command]
name = "^[p`"
command = ~D, DF, F, x

[Command]
name = "^[p`"
command = ~D, DF, F, y

[Command]
name = "^[p`"
command = ~D, DF, F, z


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = ~F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = ~B, B
time = 10

[Command]
name = "DU"     ;Required (do not remove)
command = $D, $U
time = 15

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - StateType
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;^[p`
[State -1, 0]
type = ChangeState
value = 1200
triggerall = !var(59)
triggerall = command = "^[p`"
trigger1 = StateType != A
trigger1 = ctrl

---------------------------------------------------------------------------
;_bVXg[g
[State -1, 0]
type = ChangeState
value = 1000
triggerall = !var(59)
triggerall = command = "_bVXg[g"
trigger1 = StateType != A
trigger1 = ctrl

[State -1, 0]
type = ChangeState
value = 1020
triggerall = !var(59)
triggerall = command = "_bVXg[g"
trigger1 = StateType != A
trigger1 = ctrl

[State -1, 0]
type = ChangeState
value = 1040
triggerall = !var(59)
triggerall = command = "_bVXg[g"
trigger1 = StateType != A
trigger1 = ctrl

---------------------------------------------------------------------------
;_bVAbp[
[State -1, 0]
type = ChangeState
value = 1100
triggerall = !var(59)
triggerall = command = "_bVAbp["
trigger1 = StateType != A
trigger1 = ctrl

[State -1, 0]
type = ChangeState
value = 1120
triggerall = !var(59)
triggerall = command = "_bVAbp["
trigger1 = StateType != A
trigger1 = ctrl

[State -1, 0]
type = ChangeState
value = 1140
triggerall = !var(59)
triggerall = command = "_bVAbp["
trigger1 = StateType != A
trigger1 = ctrl

;===========================================================================
;--------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl

;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl

;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 220
triggerall = !var(59)
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl

;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 240
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl

;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = StateType = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl

;Ⴊݒp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl

;Ⴊ݋p`
[State -1, Crouching Light Punch]
type = ChangeState
value = 310
triggerall = !var(59)
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl
;---------------------------------------------------------------------------
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl

;ႪݒLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl

;Ⴊ݋LbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 300
triggerall = !var(59)
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = StateType = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
trigger1 = StateType = A
trigger1 = ctrl

;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "y"
trigger1 = StateType = A
trigger1 = ctrl

;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "z"
trigger1 = StateType = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;WvLbN
[State -1, Jump Light Kick]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "a"
trigger1 = StateType = A
trigger1 = ctrl

;WvLbN
[State -1, Jump Light Kick]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "b"
trigger1 = StateType = A
trigger1 = ctrl

;WvLbN
[State -1, Jump Light Kick]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "c"
trigger1 = StateType = A
trigger1 = ctrl

;ȉAI

[State -3]
type = Varset
triggerall = !var(59)
trigger1 = command = "AI_1" || command = "AI_2" || command = "AI_3" || command = "AI_4" || command = "AI_5"
trigger2 = command = "AI_6" || command = "AI_7" || command = "AI_8" || command = "AI_9" || command = "AI_10"
trigger3 = command = "AI_11" || command = "AI_12" || command = "AI_13" || command = "AI_14" || command = "AI_15"
trigger4 = command = "AI_16" || command = "AI_17" || command = "AI_18" || command = "AI_19" || command = "AI_20"
trigger5 = command = "AI_21" || command = "AI_22" || command = "AI_23" || command = "AI_24" || command = "AI_25"
trigger6 = command = "AI_26" || command = "AI_27" || command = "AI_28" || command = "AI_29" || command = "AI_30"
trigger7 = command = "AI_31" || command = "AI_32" || command = "AI_33" || command = "AI_34" || command = "AI_35"
trigger8 = command = "AI_36" || command = "AI_37" || command = "AI_38" || command = "AI_39" || command = "AI_40"
trigger9 = command = "AI_41" || command = "AI_42" || command = "AI_43" || command = "AI_44" || command = "AI_45"
trigger10 = command = "AI_46" || command = "AI_47" || command = "AI_48" || command = "AI_49" || command = "AI_50"
var(59) = 10;̐1`10ɕςăxݒ

;---------------------------------------------
;Wv
[State -3]
type = ChangeState
value = 40
triggerall = var(59) && roundstate = 2
triggerall = statetype != A && ctrl
trigger1 = p2bodydist X = [80,180]
trigger1 = p2stateno = [150,155]
trigger1 = random < var(59)*30

;---------------------------------------------
;K[h
[State -3]
type = ChangeState
value = 130
triggerall = var(59) && roundstate = 2
triggerall = p2statetype != C
triggerall = inguarddist
trigger1 = statetype != A && ctrl
trigger1 = random < var(59)*100

;---------------------------------------------
;݃K[h
[State -3]
type = ChangeState
value = 131
triggerall = var(59) && roundstate = 2
triggerall = p2statetype = C
triggerall = inguarddist
trigger1 = statetype != A && ctrl
trigger1 = random < var(59)*100

;===========================================================================
;---------------------------------------------------------------------------
;^[p`
[State -1, 0]
type = ChangeState
value = 1200
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype = L && p2stateno = 4120
trigger1 = p2bodydist X = [20,150]
trigger1 = p2life < 200 || p2bodydist X > 40
trigger1 = random < var(59)*100

---------------------------------------------------------------------------
;_bVXg[g
[State -1, 0]
type = ChangeState
value = 1040
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype != A && p2statetype != L
trigger1 = p2movetype != A
trigger1 = p2bodydist X > 130
trigger1 = random < var(59)*100

---------------------------------------------------------------------------
;_bVAbp[
[State -1, 0]
type = ChangeState
value = 1140
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype != L
trigger1 = p2movetype != A
trigger1 = p2bodydist X = [80,190]
trigger1 = p2statetype != S || p2bodydist X > 130
trigger1 = random < var(59)*100

;===========================================================================
;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Kick]
type = ChangeState
value = 220
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype != A && p2statetype != L
trigger1 = p2movetype != A
trigger1 = p2bodydist X = [70,130]
trigger1 = p2movetype = H || p2bodydist X > 80
trigger1 = random < var(59)*100

;--------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 210
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype != L
trigger1 = p2movetype != A
trigger1 = p2bodydist X = [10,80]
trigger1 = p2bodydist Y = [-80,0]
trigger1 = p2movetype = H || p2bodydist X > 20
trigger1 = random < var(59)*100

;---------------------------------------------------------------------------
;Ⴊ݃p`
[State -1, Crouching Light Punch]
type = ChangeState
value = 300
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype != A && p2statetype != L
trigger1 = p2bodydist X = [-5,80]
trigger1 = random < var(59)*100

;Ⴊ݋p`
[State -1, Crouching Light Punch]
type = ChangeState
value = 310
triggerall = var(59) && roundstate = 2
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = p2statetype = A
trigger1 = p2bodydist X = [-5,60]
trigger1 = p2bodydist Y = [-80,0]
trigger1 = random < var(59)*100

;---------------------------------------------------------------------------
;Wvp`
[State -1, Jump Light Punch]
type = ChangeState
value = 400
triggerall = var(59) && roundstate = 2
trigger1 = StateType = A
trigger1 = ctrl
trigger1 = p2statetype != L
trigger1 = p2statetype = A || vel Y > 0
trigger1 = p2bodydist X = [-5,80]
trigger1 = p2bodydist Y = [-60,60]
trigger1 = p2stateno != 4200 || pos Y < -40
trigger1 = random < var(59)*100

[State -3,AIp]
type = VarSet
trigger1 = var(59) && stateno = 40
trigger1 = p2bodydist X = [80,180]
trigger1 = p2stateno = [150,155]
trigger1 = random < var(59)*100
sysvar(1) = 1

[State -3,AIp]
type = changestate
trigger1 = var(59) && stateno = 40
trigger1 = p2statetype != A
trigger1 = p2movetype = H
trigger1 = p2bodydist X < 130
trigger1 = p2stateno != [150,155]
trigger1 = random < var(59)*100
value = 0
ctrl = 1
